> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Connection Definition

> A `POST` to the `/connection/definitions` endpoint allows your application to create a Connection Definition.



## OpenAPI

````yaml post /v3/connection/definitions
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/connection/definitions:
    post:
      tags:
        - Connection Definition
      summary: Add Connection Definition
      description: >-
        A `POST` to the `/connection/definitions` endpoint allows your
        application to create a Connection Definition.
      operationId: connection.definitions.store
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StoreConnectionDefinition'
      responses:
        '200':
          description: '`ConnectionDefinition`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ConnectionDefinition'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    StoreConnectionDefinition:
      type: object
      properties:
        name:
          type: string
        handle:
          type: string
        short_description:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        icon:
          type:
            - string
            - 'null'
          format: uri
        cover:
          type:
            - string
            - 'null'
          format: uri
        internal_notes:
          type:
            - string
            - 'null'
        type:
          type: string
          enum:
            - brand
            - referral
            - dependant
            - stylist
            - company
            - partner
            - household
            - advisor
            - staff_join
            - staff_preferred
            - gift
            - external
            - other
        tenant:
          type:
            - string
            - 'null'
        start_date_global:
          type:
            - string
            - 'null'
          format: date-time
        end_date_global:
          type:
            - string
            - 'null'
          format: date-time
        end_date_duration:
          type:
            - integer
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items:
            type: string
        shareable_attributes:
          type:
            - array
            - 'null'
          items:
            type: string
        connector_condition:
          type:
            - array
            - 'null'
          items:
            type: string
        connected_condition:
          type:
            - array
            - 'null'
          items:
            type: string
        connector_can_break:
          type:
            - boolean
            - 'null'
        connected_can_break:
          type:
            - boolean
            - 'null'
        is_published:
          type:
            - boolean
            - 'null'
        is_pending:
          type:
            - boolean
            - 'null'
        is_archived:
          type:
            - boolean
            - 'null'
      required:
        - name
        - handle
        - type
      title: StoreConnectionDefinition
    ConnectionDefinition:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        handle:
          type: string
        short_description:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        icon:
          type:
            - string
            - 'null'
        cover:
          type:
            - string
            - 'null'
        internal_notes:
          type:
            - string
            - 'null'
        type:
          type: string
        tenant:
          type:
            - string
            - 'null'
        start_date_global:
          type: string
        end_date_global:
          type: string
        end_date_duration:
          type:
            - integer
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items: {}
        shareable_attributes:
          type:
            - array
            - 'null'
          items: {}
        connector_condition:
          type:
            - array
            - 'null'
          items: {}
        connected_condition:
          type:
            - array
            - 'null'
          items: {}
        connector_can_break:
          type:
            - boolean
            - 'null'
        connected_can_break:
          type:
            - boolean
            - 'null'
        is_published:
          type: boolean
        is_pending:
          type: boolean
        is_archived:
          type: boolean
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - handle
        - short_description
        - description
        - icon
        - cover
        - internal_notes
        - type
        - tenant
        - start_date_global
        - end_date_global
        - end_date_duration
        - meta
        - shareable_attributes
        - connector_condition
        - connected_condition
        - connector_can_break
        - connected_can_break
        - is_published
        - is_pending
        - is_archived
        - created_at
        - updated_at
      title: ConnectionDefinition
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````